<template>
  <div class="cats-portal">
    <div class="left-panel">
      <breed-selector :user-name="userName"></breed-selector>
    </div>
    <div class="right-panel">
      <fact-generator></fact-generator>
    </div>
  </div>
</template>

<script>
import BreedSelector from "./BreedSelector.vue";
import FactGenerator from "./FactGenerator.vue";
export default{
    components:{
        BreedSelector,
        FactGenerator
    },
    props: {
        userName: {
            firstName: String,
            lastName: String
        }
    }
}
</script>

<style scoped>

.cats-portal{
  display: flex;
  flex-direction: row;
}

.left-panel, .right-panel{
  border: 1px solid black;
  margin: 25px 50px;
  padding: 10px;
  border-radius: 10px;
  height: 100vh;
}

.left-panel{
  width: 30%;
  margin-right: 0;
  position: relative;
}

.right-panel{
  width: 70%;
  margin-left: 20px;
}

</style>